<?php
/**
 * Template part for displaying front page partner.
 *
 * @package Moral
 */

$partner = get_theme_mod( 'store_mall_enable_partner', true );

if ( ! $partner ) {
	return;
}

$partner_num = get_theme_mod( 'store_mall_partner_num', 4 );

?>
<div id="logo-slider" class="relative page-section">
	<div class="wrapper">
		<!-- .supports col-1, col-2, col-3, col-4, col-5 -->
        <div class="regular" data-slick='{"slidesToShow": 4, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": true, "fade": false }'>
			<?php for ( $i=1; $i <= $partner_num; $i++ ) { 
				$url = get_theme_mod( 'store_mall_partner_link_' . $i, '#' );
				$img_url = get_theme_mod( 'store_mall_partner_logo_' . $i );
				$open_in_new_tab = get_theme_mod( 'store_mall_partner_open_new_tab_' . $i, true );
				$a_attr = '';
				if ( $open_in_new_tab ) {
					$a_attr = 'target="_blank"';
				}

				if ( ! empty( $img_url ) ) :
					?>
						<a <?php echo esc_attr( $a_attr ); ?> href="<?php echo esc_url( $url ); ?>"><img src="<?php echo esc_url( $img_url ); ?>" alt="<?php echo esc_html__( 'Partner', 'store-mall-pro' ); ?>"></a>
					<?php 
				endif;
			} ?>
		</div><!-- .section-content -->
    </div><!-- .wrapper -->
</div><!-- #partners-logo -->