<?php
$slider = get_theme_mod( 'store_mall_slider', 'custom' );
$slider_num = get_theme_mod( 'store_mall_slider_num', 3 );
$opacity = get_theme_mod( 'store_mall_slider_overlay', 0 );

$count_class = '';
if ( 3 == $slider_num ) {
	$count_class = 'slide-count-3';
} elseif ( 2 == $slider_num ) {
	$count_class = 'slide-count-2';
} elseif ( 1 == $slider_num ) {
	$count_class = 'slide-count-1';
} 
?>
<div id="featured-modern-slider" class="relative page-section <?php echo esc_attr( $count_class ); ?>">
    <div class="modern-slider">
        <ul class="featured-images-list" data-slick='{"slidesToShow": 3, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": true, "fade": false }'>
    		<?php 
    		if (  in_array( $slider, array( 'post', 'page', 'cat' ) ) ) {

    		    if ( 'cat' === $slider ) {
    		        $cat_id = get_theme_mod( 'store_mall_slider_cat' );
    		        $args = array(
    		            'cat' => $cat_id,   
    		            'posts_per_page' => $slider_num,
    		        );
    		    } else {
    		        $id = array();
    		        for ( $i=1; $i <= $slider_num; $i++ ) { 
    		            $id[] = get_theme_mod( "store_mall_slider_{$slider}_" . $i );
    		        }
    		        $args = array(
    		            'post_type' => $slider,
    		            'post__in' => (array)$id,   
    	                'orderby'   => 'post__in',
    		            'posts_per_page' => $slider_num,
    		            'ignore_sticky_posts' => true,
    		        );
    		    }

    		    $query = new WP_Query( $args );

    		    if ( $query->have_posts() ) :
    		        while ( $query->have_posts() ) :
    		            $query->the_post();
    		            ?>
        			<div class="slick-item" data-target="img-<?php echo get_the_ID(); ?>">
        				<div>
        					<li style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');">
        				</div>
        			</div>
        				<?php 
			    	endwhile;
			        wp_reset_postdata();
			    endif; 
			} elseif( 'custom' === $slider ) { 
				for ( $i=1; $i <= $slider_num; $i++ ) { 
				    $img_url = get_theme_mod( 'store_mall_slider_image_' . $i );
				?>
        			<div class="slick-item" data-target="img-<?php echo $i; ?>">
        				<div>
							<li style="background-image: url('<?php echo esc_url( $img_url );?>');">
        				</div>
        			</div>
				<?php 
				}
			} elseif( 'product-cat' === $slider ) {
				for ( $i=1; $i <= $slider_num; $i++ ) { 
			        $cat_id = get_theme_mod( 'store_mall_slider_product_cat_' . $i );
			        if ( $cat_id ) :?>
        				<div class="slick-item" data-target="img-<?php echo $i; ?>">
        					<div>
								<li style="background-image: url('<?php echo esc_url( store_mall_get_cat_featured_img_url( $cat_id ) );?>');">
								</li>
        					</div>
        				</div>
			        <?php
			    	endif;
			    }
			} elseif( in_array( $slider, array( 'recent-products', 'product' ) ) ) {
				if ( 'product' ===  $slider ) {
		    		$product_ids = array();
		    		for ( $i=1; $i <= $slider_num; $i++ ) { 
		    	        $product_id = get_theme_mod( 'store_mall_slider_product_' . $i );
		    	        if ( $product_id ) {
		    	        	$product_ids[] = $product_id;
		    	        }
		    	    }

		    	    $args = array( 'orderby'   => 'post__in', 'include' => $product_ids );
				}

				$args['posts_per_page'] = $slider_num;
			    $products = wc_get_products( $args );
			    if ( $products ) :  
    		    	foreach ( $products as $product ) {
    	    	        $thumbnail_id = $product->get_image_id(); ?>
        				<div class="slick-item" data-target="img-<?php echo $product->get_id(); ?>">
        					<div>
								<li style="background-image: url('<?php echo esc_url( wp_get_attachment_url( $thumbnail_id ) );?>');">
								</li>
        					</div>
						</div>
    	    	    <?php 
    	    		}
			    endif; 
			}	
			?>
        </ul><!-- .featured-images-list -->
    </div><!-- .modern-slider -->

    <ul class="featured-content-list">
		<?php 
		if (  in_array( $slider, array( 'post', 'page', 'cat' ) ) ) {
		    if ( 'cat' === $slider ) {
		        $cat_id = get_theme_mod( 'store_mall_slider_cat' );
		        $args = array(
		            'cat' => $cat_id,   
		            'posts_per_page' => $slider_num,
		        );
		    } else {
		        $id = array();
		        for ( $i=1; $i <= $slider_num; $i++ ) { 
		            $id[] = get_theme_mod( "store_mall_slider_{$slider}_" . $i );
		        }
		        $args = array(
		            'post_type' => $slider,
		            'post__in' => (array)$id,   
	                'orderby'   => 'post__in',
		            'posts_per_page' => $slider_num,
		            'ignore_sticky_posts' => true,
		        );
		    }

		    $query = new WP_Query( $args );

		    $j = 1;
		    if ( $query->have_posts() ) :
		        while ( $query->have_posts() ) :
		            $query->the_post();
		            ?>
	    			<li class="<?php echo ( 1 === $j ) ? 'active' : ''; ?> img-<?php echo get_the_ID(); ?>">
			           <div class="featured-content-wrapper">
			               <div class="entry-meta">
			                   <span class="cat-links">
			                       <?php echo get_the_category_list( esc_html__( ', ', 'store-mall-pro' ) );?>
			                   </span><!-- .cat-links -->
			               </div><!-- .entry-meta -->

			               <header class="entry-header">
			                   <h2 class="entry-title"><?php the_title();?></h2>
			               </header>
			               <div class="entry-content">
			                    <p><?php the_excerpt(); ?></p>
			               </div>
			               	<?php
			                $custom_btn = get_theme_mod( 'store_mall_slider_custom_btn_' . $j, $default['store_mall_slider_custom_btn'] ); 
			                if ( $custom_btn ) : ?>
				               	<div class="more-link">
				                   <a href="<?php the_permalink(); ?>" class="btn btn-primary"><span><?php echo esc_html( $custom_btn ); ?></span></a>
				               	</div><!-- .more-link -->
			               <?php endif; ?>
			           </div><!-- .featured-content-wrapper -->
			       </li>
    			<?php
		        $j++;
		    	endwhile;
		        wp_reset_postdata();
		    endif; 
		} elseif( 'custom' === $slider ) { 
			for ( $i=1; $i <= $slider_num; $i++ ) { 
			    $content   = get_theme_mod( 'store_mall_slider_custom_content_' . $i, $default['store_mall_slider_custom_content'] );
			    $btn_url = get_theme_mod( 'store_mall_slider_custom_link_' . $i, '#' );
			    $btn_txt = get_theme_mod( 'store_mall_slider_custom_btn_' . $i, $default['store_mall_slider_custom_btn'] );
			?>
				<li class="img-<?php echo $i; ?>">
		           <div class="featured-content-wrapper">
		               <header class="entry-header">
		                   <?php echo wp_kses_post( $content,  $default['store_mall_slider_custom_content'] );?>
		               </header>

		                <?php if ( $btn_txt ) : ?>
			               	<div class="more-link">
			                   <a href="<?php echo esc_url( $btn_url ); ?>" class="btn btn-primary"><span><?php echo esc_html( $btn_txt ); ?></span></a>
			               	</div><!-- .more-link -->
		               <?php endif; ?>
		           </div><!-- .featured-content-wrapper -->
		       </li>
			<?php 
			}
		} elseif( 'product-cat' === $slider ) {
			for ( $i=1; $i <= $slider_num; $i++ ) { 
		        $cat_id = get_theme_mod( 'store_mall_slider_product_cat_' . $i );
		        if ( $cat_id ) :
		        	$term_obj = get_term_by( 'id', $cat_id, 'product_cat' );
		        	$btn_txt = get_theme_mod( 'store_mall_slider_custom_btn_' . $i, $default['store_mall_slider_custom_btn'] );
		        	?>
					<li class="<?php echo ( 1 === $i ) ? 'active' : ''; ?> img-<?php echo $i; ?>">
			           <div class="featured-content-wrapper">
			               <header class="entry-header">
			                   <h2 class="entry-title"><?php echo esc_html( $term_obj->name );?></h2>
			               </header>
			               <div class="entry-content">
			            		<?php echo esc_html( $term_obj->description );?>
			               </div>
			                <?php if ( $btn_txt ) : ?>
				               	<div class="more-link">
				                   <a href="<?php echo esc_url( get_term_link( (int)$cat_id, 'product_cat' ) ) ; ?>" class="btn btn-primary"><span><?php echo esc_html( $btn_txt ); ?></span></a>
				               	</div><!-- .more-link -->
			                <?php endif; ?>
			           </div><!-- .featured-content-wrapper -->
			       </li>
		        <?php
		    	endif;
		    }
		} elseif( in_array( $slider, array( 'recent-products', 'product' ) ) ) {
			if ( 'product' ===  $slider ) {
	    		$product_ids = array();
	    		for ( $i=1; $i <= $slider_num; $i++ ) { 
	    	        $product_id = get_theme_mod( 'store_mall_slider_product_' . $i );
	    	        if ( $product_id ) {
	    	        	$product_ids[] = $product_id;
	    	        }
	    	    }

	    	    $args = array( 'orderby'   => 'post__in', 'include' => $product_ids );
			}
			
	    	$args['posts_per_page'] = $slider_num;
		    $products = wc_get_products( $args );
		    if ( $products ) :  
		    	$j = 1;
		    	foreach ( $products as $product ) {
	    	        $cat_ids = $product->get_category_ids();

	    	        $btn_txt = get_theme_mod( 'store_mall_slider_custom_btn_' . $j, $default['store_mall_slider_custom_btn'] );
	    	        ?>
					<li class="<?php echo ( 1 === $j ) ? 'active' : ''; ?> img-<?php echo $product->get_id(); ?>">
			           <div class="featured-content-wrapper">
			               <div class="entry-meta">
			                   <span class="cat-links">
			                    	<?php foreach ( $cat_ids as $cat_id ) { 
	                	            	$term_obj = get_term( $cat_id, '', OBJECT, 'raw' );
	                	            	?>
	                	        		<a href="<?php echo esc_url( get_term_link( $cat_id, 'product_cat' ) ); ?>"><?php echo esc_html( $term_obj->name ); ?></a>,
	                	            <?php 
	                	        	}
	                	        	?>
			                   </span><!-- .cat-links -->
			               </div><!-- .entry-meta -->

			               <header class="entry-header">
			                    <h2 class="entry-title"><?php echo esc_html( $product->get_title() );?></h2>
			               </header>
			               <div class="entry-content">
			               		<p><?php echo esc_html( $product->get_short_description() ); ?></p>
			               </div>
			                <?php if ( $btn_txt ) : ?>
				               	<div class="more-link">
				                   <a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="btn btn-primary"><span><?php echo esc_html( $btn_txt ); ?></span></a>
				               	</div><!-- .more-link -->
			                <?php endif; ?>
			           </div><!-- .featured-content-wrapper -->
			       </li>
	    	    <?php 
	    	    $j++;
	    		}
		    endif; 
		}	
		?>
       
    </ul><!-- .featured-content-list -->

</div><!-- #featured-slider -->