<?php
/**
 * Template part for displaying front page subscribe.
 *
 * @package Moral
 */

if ( ! defined( 'JETPACK__VERSION' ) || ! class_exists( 'Jetpack_Subscriptions_Widget' ) ) {
	return;
}

$default = store_mall_get_default_mods();
$subscribe = get_theme_mod( 'store_mall_enable_subscribe', true );

if ( ! $subscribe ) {
	return;
}

?>
<div id="subscribe-us" class="relative page-section">
	<div class="wrapper">
		<?php 
		$title = get_theme_mod( 'store_mall_subscribe_title', $default['store_mall_subscribe_title'] ) ;
		$content = get_theme_mod( 'store_mall_subscribe_text', $default['store_mall_subscribe_text'] ) ;
		$placeholder = get_theme_mod( 'store_mall_subscribe_placeholder', $default['store_mall_subscribe_placeholder'] ) ;
		$btn_txt = get_theme_mod( 'store_mall_subscribe_btn_text', $default['store_mall_subscribe_btn_text'] ) ;
		$success_msg = get_theme_mod( 'store_mall_success_msg', $default['store_mall_success_msg'] ) ;
		the_widget( 'Jetpack_Subscriptions_Widget', 
			array( 
				'title' => esc_html( $title ),
				'subscribe_text' => wp_kses_post( $content ),
				'subscribe_placeholder' => esc_attr( $placeholder ),
				'subscribe_button' => esc_html( $btn_txt ),
				'success_message' => wp_kses_post( $success_msg ),
			), 
			array( '' ) );
		?>
	</div><!-- .wrapper -->
</div><!-- #subscribe-us -->