<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 */

/**
 * Get all the default values of the theme mods.
 */
function store_mall_get_default_mods() {
	$store_mall_default_mods = array(
		// Top header
		'store_mall_header_phone' => esc_html__( 'Phone: (05) 000 00000', 'store-mall-pro' ),
		'store_mall_header_email' => esc_html__( 'Email: info@storemall.com', 'store-mall-pro' ),
		
		// CTA
		'store_mall_cta_title' => __( 'New <span>Arrivals</span>', 'store-mall-pro' ),
		'store_mall_cta_sub_title' => esc_html__( 'All eyes on you', 'store-mall-pro' ),
		'store_mall_cta_content' => esc_html__( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'store-mall-pro' ),
		'store_mall_cta_btn_txt' => esc_html__( 'Shop Now', 'store-mall-pro' ),
		
		// Featured
		'store_mall_featured_title' => esc_html__( 'Featured Collection', 'store-mall-pro' ),
		'store_mall_featured_sub_title' => esc_html__( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'store-mall-pro' ),

		// Popular
		'store_mall_popular_title' => esc_html__( 'Popular Products', 'store-mall-pro' ),
		'store_mall_popular_sub_title' => esc_html__( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'store-mall-pro' ),

		// Testimonials
		'store_mall_testimonial_title' => esc_html__( 'Happy Customers', 'store-mall-pro' ),
		'store_mall_testimonial_sub_title' => esc_html__( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'store-mall-pro' ),
		'store_mall_testimonial_custom_content' => esc_html__( '“Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi egestas magna ultricies sem viverra commodo. Etiam dictum mollis felis et bibendum. Donec vel rutrum augue. Mauris ullamcorper mollis vulputate.”', 'store-mall-pro' ),
		'store_mall_testimonial_custom_name' => esc_html__( 'Maya Stepien, CEO of Moral Themes', 'store-mall-pro' ),
		'store_mall_testimonial_custom_sub_title' => esc_html__( 'New York, U.S.A', 'store-mall-pro' ),

		// Sliders
		'store_mall_slider_custom_content' => __( '<h2>We carve design in most  possible beautiful way.</h2><p>Discover the latest arrivals from the SS2018 collection.  From the finest Jermyn Street shirts to the sharpest suits and refined accessories, we have everything you need now!</p>', 'store-mall-pro' ),
		'store_mall_slider_custom_btn' => esc_html__( 'Know More', 'store-mall-pro' ),

		// Blog section
		'store_mall_blog_section_title' => esc_html__( 'From Our Blog', 'store-mall-pro' ),
		'store_mall_blog_section_sub_title' => esc_html__( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'store-mall-pro' ),
		'store_mall_blog_section_btn_txt' => esc_html__( 'View All Blogs', 'store-mall-pro' ),

		// Subscribe
		'store_mall_subscribe_title' => esc_html__( 'Subscribe Now', 'store-mall-pro' ),
		'store_mall_subscribe_text' => esc_html__( 'Stay Updated on latest product releases & promotions', 'store-mall-pro' ),
		'store_mall_subscribe_placeholder' => esc_html__( 'Enter your email', 'store-mall-pro' ),
		'store_mall_subscribe_btn_text' => esc_html__( 'Subscribe Now', 'store-mall-pro' ),
		'store_mall_success_msg' => esc_html__( "Success! An email was just sent to confirm your subscription. Please find the email now and click 'Confirm Follow' to start subscribing.", 'store-mall-pro' ),

		// Footer copyright
		'store_mall_copyright_txt' => sprintf( esc_html__( 'Theme: %1$s by %2$s.', 'store-mall-pro' ), 'Store Mall Pro', '<a href="' . esc_url( 'http://moralthemes.com/' ) . '">Moral Themes</a>' ),

		// Homepage sortable sections
		'store_mall_sort_home_sections' => array( 'slider', 'featured', 'popular', 'cta', 'latest', 'widget', 'testimonials', 'partners', 'blog', 'subscribe' ),
	);

	return apply_filters( 'store_mall_default_mods', $store_mall_default_mods );
}

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function store_mall_customize_register( $wp_customize ) {
	/**
	 * Separator custom control
	 *
	 * @version 1.0.0
	 * @since  1.0.0
	 */
	class Store_Mall_Multi_Custom_Control extends WP_Customize_Control {
		/**
		 * Control type
		 *
		 * @var string
		 */
		public $type = 'store-mall-separator';

		/**
		 * Control type
		 *
		 * @var string
		 */
		public $content = '';

		/**
		 * Control method
		 *
		 * @since 1.0.0
		 */
		public function render_content() {
			if ( 'store-mall-separator' === $this->type ) : ?>
				<p><hr style="border-color: #222; opacity: 0.2;"></p>
			<?php endif; ?>

			<?php if ( 'store-mall-custom' === $this->type ) : ?>
				<?php echo wp_kses_post( $this->content );?>
			<?php endif; 
		}
	}

	/**
	 * The radio image customize control extends the WP_Customize_Control class.  This class allows
	 * developers to create a list of image radio inputs.
	 *
	 * Note, the `$choices` array is slightly different than normal and should be in the form of
	 * `array(
		 *	$value => array( 'color' => $color_value ),
		 *	$value => array( 'color' => $color_value ),
	 * )`
	 *
	 */

	/**
	 * Radio color customize control.
	 *
	 * @since  3.0.0
	 * @access public
	 */
	class Store_Mall_Customize_Control_Radio_Color extends WP_Customize_Control {

		/**
		 * The type of customize control being rendered.
		 *
		 * @since  3.0.0
		 * @access public
		 * @var    string
		 */
		public $type = 'radio-color';

		/**
		 * Add custom parameters to pass to the JS via JSON.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function to_json() {
			parent::to_json();

			// We need to make sure we have the correct color URL.
			foreach ( $this->choices as $value => $args )
				$this->choices[ $value ]['color'] = esc_attr( $args['color'] );

			$this->json['choices'] = $this->choices;
			$this->json['link']    = $this->get_link();
			$this->json['value']   = $this->value();
			$this->json['id']      = $this->id;
		}

		/**
		 * Don't render the content via PHP.  This control is handled with a JS template.
		 *
		 * @since  4.0.0
		 * @access public
		 * @return bool
		 */
		protected function render_content() {}

		/**
		 * Underscore JS template to handle the control's output.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function content_template() { ?>

			<# if ( ! data.choices ) {
				return;
			} #>

			<# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

			<# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

			<# _.each( data.choices, function( args, choice ) { #>
				<label>
					<input type="radio" value="{{ choice }}" name="_customize-{{ data.type }}-{{ data.id }}" {{{ data.link }}} <# if ( choice === data.value ) { #> checked="checked" <# } #> />

					<span class="screen-reader-text">{{ args.label }}</span>
					
					<# if ( 'custom' != choice ) { #>
						<span class="color-value" style="background-color: {{ args.color }}"></span>
					<# } else { #>
						<span class="color-value custom-color-value"></span>
					<# } #>
				</label>
			<# } ) #>
		<?php }
	}

	$wp_customize->register_control_type( 'Store_Mall_Customize_Control_Radio_Color' );

	class Store_Mall_Customize_Control_Sort_Sections extends WP_Customize_Control {

	  	/**
	   	* Control Type
	   	*/
	  	public $type = 'sortable';
	  
		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

	    	$choices = $this->choices;
	      	$choices = array_filter( array_merge( array_flip( $this->value() ), $choices ) );
		  	$this->json['choices'] = $choices;
		  	$this->json['link']    = $this->get_link();
		  	$this->json['value']   = $this->value();
		  	$this->json['id']      = $this->id;
	  	}

	  	/**
	   	* Render Settings
	   	*/
	  	public function content_template() { ?>
		  	<# if ( ! data.choices ) {
		  		return;
		  	} #>

		    <# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

		    <# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

		    <ul class="store-mall-sortable-list">

		      	<# _.each( data.choices, function( args, choice ) { #>

		        <li>
		            <input class="store-mall-sortable-input sortable-hideme" name="{{choice}}" type="hidden"  value="{{ choice }}" />
		            <span class ="menu-item-handle sortable-span">{{args.name}}</span>
		          <i title="<?php esc_html_e( 'Drag and Move', 'store-mall-pro' );?>" class="dashicons dashicons-menu store-mall-drag-handle"></i>
		          <i title="<?php esc_html_e( 'Edit', 'store-mall-pro' );?>" class="dashicons dashicons-edit store-mall-edit" data-jump="{{args.section_id}}"></i>
		        </li>

		        <# } ) #>

		        <li class="sortable-hideme">
		          <input class="store-mall-sortable-value" {{{ data.link }}} value="{{data.value}}" />
		        </li>

		    </ul>
	  	<?php
	  	}
	}

	$wp_customize->register_control_type( 'Store_Mall_Customize_Control_Sort_Sections' );

	class Store_Mall_Customize_Control_Range_Value extends WP_Customize_Control {
		public $type = 'range-value';

		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

		  	$this->json['link']    		= $this->get_link();
		  	$this->json['value']  		= $this->value();
		  	$this->json['id']      		= $this->id;
		  	$this->json['input_attrs']      		= $this->input_attrs;
	  	}

		/**
		 * Render the control's content.
		 *
		 */
		public function content_template() {
			?>
			<label>
		    	<# if ( data.label ) { #>
					<span class="customize-control-title">{{ data.label }}</span>
				<# } #>
				<div class="range-slider"  style="width:100%; display:flex;flex-direction: row;justify-content: flex-start;">
					<span  style="width:100%; flex: 1 0 0; vertical-align: middle;"><input class="range-slider__range" type="range" value="{{{ data.value }}}" 
						<# _.each( data.input_attrs, function( input_value, attr ) { #>
							{{{attr}}} = {{{input_value}}}
		        		<# } ) #>
						{{{ data.link }}}>
					<span class="range-slider__value">0</span></span>
				</div>
		    	<# if ( data.description ) { #>
					<span class="description customize-control-description">{{{ data.description }}}</span>
				<# } #>
			</label>
			<?php
		}
	}

	$wp_customize->register_control_type( 'Store_Mall_Customize_Control_Range_Value' );

	$default = store_mall_get_default_mods();

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'store_mall_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'store_mall_customize_partial_blogdescription',
		) );
	}

	/**
	 *
	 * 
	 * Header panel
	 *
	 * 
	 */
	// Header panel
	$wp_customize->add_panel(
		'store_mall_header_panel',
		array(
			'title' => esc_html__( 'Header', 'store-mall-pro' ),
			'priority' => 100
		)
	);

	// Top  header section
	$wp_customize->add_section(
		'store_mall_top_header_section',
		array(
			'title' => esc_html__( 'Top header', 'store-mall-pro' ),
			'panel' => 'store_mall_header_panel',
		)
	);

	// Top header phone number settings.
	$wp_customize->add_setting(
		'store_mall_header_phone',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_header_phone'],
		)
	);

	$wp_customize->add_control(
		'store_mall_header_phone',
		array(
			'section'		=> 'store_mall_top_header_section',
			'label'			=> esc_html__( 'Phone number:', 'store-mall-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'store_mall_header_phone', array(
		'selector'        => '#top-navigation .widget_contact_address .phone span',
		'render_callback' => 'store_mall_customize_partial_header_phone',
	) );

	// Top header email settings.
	$wp_customize->add_setting(
		'store_mall_header_email',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_header_email'],
		)
	);

	$wp_customize->add_control(
		'store_mall_header_email',
		array(
			'section'		=> 'store_mall_top_header_section',
			'label'			=> esc_html__( 'Email:', 'store-mall-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'store_mall_header_email', array(
		'selector'        => '#top-navigation .widget_contact_address .message span',
		'render_callback' => 'store_mall_customize_partial_header_phone',
	) );

	$wp_customize->get_section( 'title_tagline' )->panel         = 'store_mall_header_panel';
	$wp_customize->get_section( 'title_tagline' )->priority = 170;

	// Header image section
	$wp_customize->get_section( 'header_image' )->panel         = 'store_mall_header_panel';
	$wp_customize->get_section( 'header_image' )->priority = 180;

	// Header section
	$wp_customize->add_section(
		'store_mall_header_section',
		array(
			'title' => esc_html__( 'Header', 'store-mall-pro' ),
			'panel' => 'store_mall_header_panel',
		)
	);

	// Header design settings
	$wp_customize->add_setting(
		'store_mall_header_design_option',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'header-one'
		)
	);

	$wp_customize->add_control(
		'store_mall_header_design_option',
		array(
			'section'		=> 'store_mall_header_section',
			'label'			=> esc_html__( 'Header Option:', 'store-mall-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'header-one' => esc_html__( 'Header One', 'store-mall-pro' ),
				'header-two' => esc_html__( 'Header Two', 'store-mall-pro' ),
			)
		)
	);

	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'store_mall_make_menu_sticky',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false
		)
	);

	$wp_customize->add_control(
		'store_mall_make_menu_sticky',
		array(
			'section'		=> 'store_mall_header_section',
			'label'			=> esc_html__( 'Make menu sticky.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Header search form settings
	$wp_customize->add_setting(
		'store_mall_show_search',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true
		)
	);

	$wp_customize->add_control(
		'store_mall_show_search',
		array(
			'section'		=> 'store_mall_header_section',
			'label'			=> esc_html__( 'Show search.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	if ( store_mall_is_woocommerce_activated() ) :
		// Header show account link settings
		$wp_customize->add_setting(
			'store_mall_show_ac_link',
			array(
				'sanitize_callback' => 'store_mall_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'store_mall_show_ac_link',
			array(
				'section'		=> 'store_mall_header_section',
				'label'			=> esc_html__( 'Show account link.', 'store-mall-pro' ),
				'type'			=> 'checkbox',
			)
		);

		// Header show cart link settings
		$wp_customize->add_setting(
			'store_mall_show_cart_link',
			array(
				'sanitize_callback' => 'store_mall_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'store_mall_show_cart_link',
			array(
				'section'		=> 'store_mall_header_section',
				'label'			=> esc_html__( 'Show cart link.', 'store-mall-pro' ),
				'type'			=> 'checkbox',
			)
		);

		// Header show woshlist settings
		$wp_customize->add_setting(
			'store_mall_show_wishlist',
			array(
				'sanitize_callback' => 'store_mall_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'store_mall_show_wishlist',
			array(
				'section'		=> 'store_mall_header_section',
				'label'			=> esc_html__( 'Show wishlist link.', 'store-mall-pro' ),
				'type'			=> 'checkbox',
			)
		);
	endif;

	/**
	 *
	 * 
	 * Home sections panel
	 *
	 * 
	 */
	// Home sections panel
	$wp_customize->add_panel(
		'store_mall_home_panel',
		array(
			'title' => esc_html__( 'Homepage', 'store-mall-pro' ),
			'priority' => 105
		)
	);

	$wp_customize->get_section( 'static_front_page' )->panel         = 'store_mall_home_panel';

	// Homepage sort section
	$wp_customize->add_section(
		'store_mall_homepage_section_sort',
		array(
			'title' => esc_html__( 'Sort sections', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Homepage sections sortable.
	$wp_customize->add_setting(	
		'store_mall_sort_home_sections',
		array(
			'sanitize_callback' => 'store_mall_sanitize_sort',
			'default'	=> $default['store_mall_sort_home_sections'],
		)
	);

	$wp_customize->add_control( 
		new Store_Mall_Customize_Control_Sort_Sections( 
		$wp_customize,
		'store_mall_sort_home_sections',
			array(
				'section'		=> 'store_mall_homepage_section_sort',
				'label'			=> esc_html__( 'Sort sections', 'store-mall-pro' ),
				'choices'  => array(
		            'slider'    => array(
		            	'name' => esc_html__( 'Slider', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_slider'
		            ), 
		            'featured'    => array(
		            	'name' => esc_html__( 'Featured', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_featured'
		            ), 
		            'popular'    => array(
		            	'name' => esc_html__( 'Popular', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_popular'
		            ),
		            'cta'    => array(
		            	'name' => esc_html__( 'CTA', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_cta'
		            ), 
		            'latest'    => array(
		            	'name' => esc_html__( 'Category Tab', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_cat_tab'
		            ),
		            'widget'    => array(
		            	'name' => esc_html__( 'Widget Area', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_widget_area'
		            ),
		            'testimonials'    => array(
		            	'name' => esc_html__( 'Testimonial', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_testimonial'
		            ), 
		            'partners'    => array(
		            	'name' => esc_html__( 'Partner', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_partner'
		            ),
		            'blog'    => array(
		            	'name' => esc_html__( 'Blog Section', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_blog_section'
		            ),
		            'subscribe'    => array(
		            	'name' => esc_html__( 'Subscription', 'store-mall-pro' ),
		            	'section_id' => 'store_mall_subscribe'
		            ), 
		        ),
			)
		)
	);

	// Your latest posts title setting
	$wp_customize->add_setting(	
		'store_mall_your_latest_posts_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'Blogs', 'store-mall-pro' ),
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_your_latest_posts_title',
		array(
			'section'		=> 'static_front_page',
			'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_is_latest_posts'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_your_latest_posts_title', 
		array(
	        'selector'            => '.home.blog #page-header .page-title',
			'render_callback'     => 'store_mall_your_latest_posts_partial_title',
    	) 
    );

	/**
	 * Slider section
	 */
	// Slider section
	$wp_customize->add_section(
		'store_mall_slider',
		array(
			'title' => esc_html__( 'Slider', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Slider enable settings
	$wp_customize->add_setting(
		'store_mall_slider',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'custom'
		)
	);

	$choices =  array( 
					'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
					'post' => esc_html__( 'Post', 'store-mall-pro' ),
					'page' => esc_html__( 'Page', 'store-mall-pro' ),
					'cat' => esc_html__( 'Category', 'store-mall-pro' ),
					'custom' => esc_html__( 'Custom', 'store-mall-pro' ),
			 	);

	if ( store_mall_is_woocommerce_activated() ) {
		$choices['recent-products'] = esc_html__( 'Recent products', 'store-mall-pro' );
		$choices['product-cat'] = esc_html__( 'Product category', 'store-mall-pro' );
		$choices['product'] = esc_html__( 'Products', 'store-mall-pro' );
	}

	$wp_customize->add_control(
		'store_mall_slider',
		array(
			'section'		=> 'store_mall_slider',
			'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);

	// Slider design settings
	$wp_customize->add_setting(
		'store_mall_slider_design',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'slider-one'
		)
	);

	$wp_customize->add_control(
		'store_mall_slider_design',
		array(
			'section'		=> 'store_mall_slider',
			'label'			=> esc_html__( 'Slider design type:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Recommended image ratio is of 16:9', 'store-mall-pro' ),
			'type'			=> 'select',
			'active_callback' => 'store_mall_if_slider_not_disabled',
			'choices'		=> array( 
				'slider-one' => esc_html__( 'Design One', 'store-mall-pro' ), 
				'slider-two' => esc_html__( 'Design Two', 'store-mall-pro' ), 
				'slider-three' => esc_html__( 'Design Three', 'store-mall-pro' ), 
			),
		)
	);

	// Slider menu setting
	$wp_customize->add_setting(
		'store_mall_slider_d2_menu',
		array(
			'sanitize_callback' => 'store_mall_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Store_Mall_Multi_Custom_Control( 
		$wp_customize,
		'store_mall_slider_d2_menu',
			array(
				'section'		=> 'store_mall_slider',
				'type'			=> 'store-mall-custom',
				'active_callback' => 'store_mall_if_slider_d2_enable',
				'content' => sprintf( __( '<label class="customize-control-title">Slider left menu:</label>
					%1$sMange the slider left menu from here.%2$s This menu will be displayed on the left of the slider.', 'store-mall-pro' ), '<h4><a class="store-mall-slider-jump-to-menu"  href="#">', '</a></h4>' ),
			)
		)
	);

	// Slider number setting
	$wp_customize->add_setting(
		'store_mall_slider_num',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_slider_num',
		array(
			'section'		=> 'store_mall_slider',
			'label'			=> esc_html__( 'Number of slider:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_slider_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Slider number setting
	$wp_customize->add_setting(
		'store_mall_slider_heading_color',
		array(
			'sanitize_callback' => 'sanitize_hex_color',
			'default' => '#000',
		)
	);

	$wp_customize->add_control( 
		new WP_Customize_Color_Control (
			$wp_customize,
			'store_mall_slider_heading_color',
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Slider text color:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_slider_not_disabled',
			)
		)
	);

	// Slider overlay setting
	$wp_customize->add_setting(
		'store_mall_slider_overlay',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 0,
		)
	);

	$wp_customize->add_control( new Store_Mall_Customize_Control_Range_Value( 
			$wp_customize,
			'store_mall_slider_overlay',
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Overlay value:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Min: 0 | Max: 1', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_slider_d2_d1_enable',
				'type'			=> 'range-value',
				'input_attrs'	=> array( 'min' => 0, 'max' => 1, 'step' => 0.1 ),
			)
		)
	);

	// Slider number separator setting
	$wp_customize->add_setting(
		'store_mall_slider_num_separator',
		array(
			'sanitize_callback' => 'store_mall_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Store_Mall_Multi_Custom_Control( 
		$wp_customize,
		'store_mall_slider_num_separator',
			array(
				'section'		=> 'store_mall_slider',
				'active_callback' => 'store_mall_if_slider_not_disabled',
				'type'			=> 'store-mall-separator',
			)
		)
	);

	// Slider category setting
	$wp_customize->add_setting(
		'store_mall_slider_cat',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'store_mall_slider_cat',
		array(
			'section'		=> 'store_mall_slider',
			'label'			=> esc_html__( 'Category:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_slider_cat',
			'type'			=> 'select',
			'choices'		=> store_mall_get_post_cat_choices(),
		)
	);

	$slider_num = get_theme_mod( 'store_mall_slider_num', 3 );
	for ( $i=1; $i <= $slider_num; $i++ ) { 
		// Slider custom image setting
		$wp_customize->add_setting(
			'store_mall_slider_image_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'store_mall_slider_image_' . $i,
				array(
					'section'		=> 'store_mall_slider',
					'label'			=> esc_html__( 'Image ', 'store-mall-pro' ) . $i,
					'active_callback' => 'store_mall_if_slider_custom',
				)
			)
		);

	    // Slider custom content setting
		$wp_customize->add_setting(
			'store_mall_slider_custom_content_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
				'default' => $default['store_mall_slider_custom_content'],
			)
		);

		$wp_customize->add_control(
			'store_mall_slider_custom_content_' . $i,
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Content ', 'store-mall-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_slider_custom',
				'type'			=> 'textarea'
			)
		);

		// Slider custom name setting
		$wp_customize->add_setting(
			'store_mall_slider_custom_btn_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['store_mall_slider_custom_btn'],
			)
		);

		$wp_customize->add_control(
			'store_mall_slider_custom_btn_' . $i,
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Button text ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_slider_not_disabled'
			)
		);

		// Slider custom link setting
		$wp_customize->add_setting(
			'store_mall_slider_custom_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'store_mall_slider_custom_link_' . $i,
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Button link ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_slider_custom',
				'type'			=> 'url'
			)
		);


		// Slider post setting
		$wp_customize->add_setting(
			'store_mall_slider_post_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'store_mall_slider_post_' . $i,
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Post ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_slider_post',
				'type'			=> 'select',
				'choices'		=> store_mall_get_post_choices(),
			)
		);
		
		// Slider page setting
		$wp_customize->add_setting(
			'store_mall_slider_page_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'store_mall_slider_page_' . $i,
			array(
				'section'		=> 'store_mall_slider',
				'label'			=> esc_html__( 'Page ', 'store-mall-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'store_mall_if_slider_page'
			)
		);

		if ( store_mall_is_woocommerce_activated () ) {
			// Slider product category setting
			$wp_customize->add_setting(
				'store_mall_slider_product_cat_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_slider_product_cat_' . $i,
				array(
					'section'		=> 'store_mall_slider',
					'label'			=> esc_html__( 'Product category ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product_cat(),
					'active_callback' => 'store_mall_if_slider_product_cat'
				)
			);

			// Slider product setting
			$wp_customize->add_setting(
				'store_mall_slider_product_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_slider_product_' . $i,
				array(
					'section'		=> 'store_mall_slider',
					'label'			=> esc_html__( 'Product ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product(),
					'active_callback' => 'store_mall_if_slider_product'
				)
			);
		}
		
		// Slider custom separator setting
		$wp_customize->add_setting(
			'store_mall_slider_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_slider_custom_separator_' . $i,
				array(
					'section'		=> 'store_mall_slider',
					'active_callback' => 'store_mall_if_slider_not_disabled',
					'type'			=> 'store-mall-separator',
				)
			)
		);
	}

	/**
	 * Featured section
	 */
	// Featured section
	$wp_customize->add_section(
		'store_mall_featured',
		array(
			'title' => esc_html__( 'Featured', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	if ( store_mall_is_woocommerce_activated () ) :
		// Featured enable settings
		$wp_customize->add_setting(
			'store_mall_featured',
			array(
				'sanitize_callback' => 'store_mall_sanitize_select',
				'default' => 'featured-products'
			)
		);

		$choices =  array( 
						'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
				 	);

		if ( store_mall_is_woocommerce_activated() ) {
			$choices['recent-products'] = esc_html__( 'Recent products', 'store-mall-pro' );
			$choices['featured-products'] = esc_html__( 'Featured products', 'store-mall-pro' );
			$choices['product-cat'] = esc_html__( 'Product category ( Show categories )', 'store-mall-pro' );
			$choices['product'] = esc_html__( 'Products', 'store-mall-pro' );
		}

		$wp_customize->add_control(
			'store_mall_featured',
			array(
				'section'		=> 'store_mall_featured',
				'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
				'type'			=> 'select',
				'choices'		=> $choices,
			)
		);

		// Featured title setting
		$wp_customize->add_setting(
			'store_mall_featured_title',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['store_mall_featured_title'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_featured_title',
			array(
				'section'		=> 'store_mall_featured',
				'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_featured_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'store_mall_featured_title', 
			array(
		        'selector'            => '#featured-products .section-title',
				'render_callback'     => 'store_mall_featured_partial_title',
	    	) 
	    );

	    // Featured sub title setting
		$wp_customize->add_setting(
			'store_mall_featured_sub_title',
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['store_mall_featured_sub_title'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_featured_sub_title',
			array(
				'section'		=> 'store_mall_featured',
				'label'			=> esc_html__( 'Sub Title:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_featured_not_disabled',
				'type'			=> 'textarea',
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'store_mall_featured_sub_title', 
			array(
		        'selector'            => '#featured-products .section-subtitle',
				'render_callback'     => 'store_mall_featured_partial_sub_title',
	    	) 
	    );

	    // Featured number setting
		$wp_customize->add_setting(
			'store_mall_featured_num',
			array(
				'sanitize_callback' => 'store_mall_sanitize_number_range',
				'default' => 6,
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_featured_num',
			array(
				'section'		=> 'store_mall_featured',
				'label'			=> esc_html__( 'Number of featured:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Min: 2 | Max: 6', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_featured_not_disabled',
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 2, 'max' => 6 ),
			)
		);

		$featured_num = get_theme_mod( 'store_mall_featured_num', 6 );
		for ( $i=1; $i <= $featured_num; $i++ ) { 

			// Featured product category setting
			$wp_customize->add_setting(
				'store_mall_featured_product_cat_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_featured_product_cat_' . $i,
				array(
					'section'		=> 'store_mall_featured',
					'label'			=> esc_html__( 'Product category ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product_cat(),
					'active_callback' => 'store_mall_if_featured_product_cat'
				)
			);

			// Featured product setting
			$wp_customize->add_setting(
				'store_mall_featured_product_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_featured_product_' . $i,
				array(
					'section'		=> 'store_mall_featured',
					'label'			=> esc_html__( 'Product ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product(),
					'active_callback' => 'store_mall_if_featured_product'
				)
			);
		}
	else: 
		// Testimonial number separator setting
		$wp_customize->add_setting(
			'store_mall_featured_woo_install',
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_featured_woo_install',
				array(
					'section'		=> 'store_mall_featured',
					'type'			=> 'store-mall-custom',
					'content' => sprintf( esc_html__( '%1$sInstall & Activate WooCommerce%2$s for this section to work.%3$s', 'store-mall-pro' ), '<h3><a target="_blank" href="' . esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ) . '">', '</a>', '</h3>' ),
				)
			)
		);
	endif;

	/**
	 * Popular section
	 */
	// Popular section
	$wp_customize->add_section(
		'store_mall_popular',
		array(
			'title' => esc_html__( 'Popular', 'store-mall-pro' ),
			'description' => esc_html__( 'Recommended image ratio: 2:3', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	if ( store_mall_is_woocommerce_activated() ) :
		// Popular enable settings
		$wp_customize->add_setting(
			'store_mall_popular',
			array(
				'sanitize_callback' => 'store_mall_sanitize_select',
				'default' => 'popular-products'
			)
		);

		$choices =  array( 
						'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
				 	);

		if ( store_mall_is_woocommerce_activated() ) {
			$choices['recent-products'] = esc_html__( 'Recent products', 'store-mall-pro' );
			$choices['popular-products'] = esc_html__( 'Popular products', 'store-mall-pro' );
			$choices['product-cat'] = esc_html__( 'Product category( Show products from category )', 'store-mall-pro' );
			$choices['product'] = esc_html__( 'Products', 'store-mall-pro' );
		}

		$wp_customize->add_control(
			'store_mall_popular',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
				'type'			=> 'select',
				'choices'		=> $choices,
			)
		);

		// Popular title setting
		$wp_customize->add_setting(
			'store_mall_popular_title',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['store_mall_popular_title'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_title',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_popular_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'store_mall_popular_title', 
			array(
		        'selector'            => '#popular-products .section-title',
				'render_callback'     => 'store_mall_popular_partial_title',
	    	) 
	    );

	    // Popular sub title setting
		$wp_customize->add_setting(
			'store_mall_popular_sub_title',
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['store_mall_popular_sub_title'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_sub_title',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Sub Title:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_popular_not_disabled',
				'type'			=> 'textarea',
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'store_mall_popular_sub_title', 
			array(
		        'selector'            => '#popular-products .section-subtitle',
				'render_callback'     => 'store_mall_popular_partial_sub_title',
	    	) 
	    );

	    // Popular number setting
		$wp_customize->add_setting(
			'store_mall_popular_num',
			array(
				'sanitize_callback' => 'store_mall_sanitize_number_range',
				'default' => 8,
				// 'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_num',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Number of popular:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Min: 3 | Max: 8', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_popular_not_disabled',
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 3, 'max' => 8 ),
			)
		);

		// Popular product category setting
		$wp_customize->add_setting(
			'store_mall_popular_product_cat',
			array(
				'sanitize_callback' => 'store_mall_sanitize_select',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_product_cat',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Product category ', 'store-mall-pro' ),
				'type'			=> 'select',
				'choices'		=> store_mall_get_woo_product_cat(),
				'active_callback' => 'store_mall_if_popular_product_cat'
			)
		);

		$popular_num = get_theme_mod( 'store_mall_popular_num', 8 );
		for ( $i=1; $i <= $popular_num; $i++ ) { 

			// Popular product setting
			$wp_customize->add_setting(
				'store_mall_popular_product_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_popular_product_' . $i,
				array(
					'section'		=> 'store_mall_popular',
					'label'			=> esc_html__( 'Product ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product(),
					'active_callback' => 'store_mall_if_popular_product'
				)
			);
		}

		// Popular button text setting
		$wp_customize->add_setting(
			'store_mall_popular_btn_text',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => esc_html( 'View All Products', 'store-mall-pro' ),
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_btn_text',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Button text:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_popular_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'store_mall_popular_btn_text', 
			array(
		        'selector'            => '#popular-products .more-link span',
				'render_callback'     => 'store_mall_popular_partial_btn_txt',
	    	) 
	    );

		// Popular button url setting
		$wp_customize->add_setting(
			'store_mall_popular_btn_url',
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'store_mall_popular_btn_url',
			array(
				'section'		=> 'store_mall_popular',
				'label'			=> esc_html__( 'Button url:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_not_popular_product_cat'
			)
		);
	else: 
		// Testimonial number separator setting
		$wp_customize->add_setting(
			'store_mall_popular_woo_install',
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_popular_woo_install',
				array(
					'section'		=> 'store_mall_popular',
					'type'			=> 'store-mall-custom',
					'content' => sprintf( esc_html__( '%1$sInstall & Activate WooCommerce%2$s for this section to work.%3$s', 'store-mall-pro' ), '<h3><a target="_blank" href="' . esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ) . '">', '</a>', '</h3>' ),
				)
			)
		);
	endif;

	/**
	 * CTA section
	 */
	// CTA section
	$wp_customize->add_section(
		'store_mall_cta',
		array(
			'title' => esc_html__( 'CTA', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// CTA enable settings
	$wp_customize->add_setting(
		'store_mall_cta',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'store_mall_cta',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
					'post' => esc_html__( 'Post', 'store-mall-pro' ),
					'page' => esc_html__( 'Page', 'store-mall-pro' ),
					'custom' => esc_html__( 'Custom', 'store-mall-pro' ),
			 	)
		)
	);

	// CTA post setting
	$wp_customize->add_setting(
		'store_mall_cta_post',
		array(
			'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_post',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Post:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_cta_post',
			'type'			=> 'select',
			'choices'		=> store_mall_get_post_choices(),
		)
	);

	// CTA page setting
	$wp_customize->add_setting(
		'store_mall_cta_page',
		array(
			'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_page',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Page:', 'store-mall-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'store_mall_if_cta_page'
		)
	);

	// CTA image setting
	$wp_customize->add_setting(
		'store_mall_cta_image',
		array(
			'sanitize_callback' => 'store_mall_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'store_mall_cta_image',
			array(
				'section'		=> 'store_mall_cta',
				'label'			=> esc_html__( 'Image:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_cta_custom',
			)
		)
	);

	// CTA title setting
	$wp_customize->add_setting(
		'store_mall_cta_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_cta_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_title',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_cta_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_cta_title', 
		array(
	        'selector'            => '#about-us .section-title',
			'render_callback'     => 'store_mall_cta_partial_title',
    	) 
    );

	// CTA sub title setting
	$wp_customize->add_setting(
		'store_mall_cta_sub_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_cta_sub_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_sub_title',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Sub title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_cta_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_cta_sub_title', 
		array(
	        'selector'            => '#about-us .section-subtitle',
			'render_callback'     => 'store_mall_cta_partial_sub_title',
    	) 
    );

	// CTA content setting
	$wp_customize->add_setting(
		'store_mall_cta_content',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['store_mall_cta_content'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_content',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Content:', 'store-mall-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'store_mall_if_cta_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_cta_content', 
		array(
	        'selector'            => '#about-us .entry-content',
			'render_callback'     => 'store_mall_cta_partial_content',
    	) 
    );

	// CTA button text setting
	$wp_customize->add_setting(
		'store_mall_cta_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_cta_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_btn_txt',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Button Text:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_cta_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_cta_btn_txt', 
		array(
	        'selector'            => '#about-us .more-link a',
			'render_callback'     => 'store_mall_cta_partial_btn_txt',
    	) 
    );

	// CTA link setting
	$wp_customize->add_setting(
		'store_mall_cta_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'store_mall_cta_link',
		array(
			'section'		=> 'store_mall_cta',
			'label'			=> esc_html__( 'Button Link:', 'store-mall-pro' ),
			'type'			=> 'url',
			'active_callback' => 'store_mall_if_cta_custom'
		)
	);

	/**
	 * Category tab section
	 */
	// Category tab section
	$wp_customize->add_section(
		'store_mall_cat_tab',
		array(
			'title' => esc_html__( 'Category tab', 'store-mall-pro' ),
			'description' => esc_html__( 'Recommended image ratio: 2:3', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	if ( store_mall_is_woocommerce_activated() ) :
		// Category tab enable settings
		$wp_customize->add_setting(
			'store_mall_cat_tab_enable',
			array(
				'sanitize_callback' => 'store_mall_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'store_mall_cat_tab_enable',
			array(
				'section'		=> 'store_mall_cat_tab',
				'label'			=> esc_html__( 'Enable category tab.', 'store-mall-pro' ),
				'type'			=> 'checkbox',
			)
		);

		// Category tab number setting
		$wp_customize->add_setting(
			'store_mall_cta_tab_num',
			array(
				'sanitize_callback' => 'store_mall_sanitize_number_range',
				'default' => 6,
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'store_mall_cta_tab_num',
			array(
				'section'		=> 'store_mall_cat_tab',
				'label'			=> esc_html__( 'Number of category tabs:', 'store-mall-pro' ),
				'description'			=> esc_html__( 'Min: 1 | Max: 6', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_category_tab_not_disabled',
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 1, 'max' => 6 ),
			)
		);

		$cat_tab_num = get_theme_mod( 'store_mall_cta_tab_num', 6 );
		for ( $i=1; $i <= $cat_tab_num; $i++ ) { 
			// Slider product category setting
			$wp_customize->add_setting(
				'store_mall_cat_tab_cat_' . $i,
				array(
					'sanitize_callback' => 'store_mall_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'store_mall_cat_tab_cat_' . $i,
				array(
					'section'		=> 'store_mall_cat_tab',
					'label'			=> esc_html__( 'Product category ', 'store-mall-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> store_mall_get_woo_product_cat(),
					'active_callback' => 'store_mall_if_category_tab_not_disabled'
				)
			);
		}
	else: 
		// Testimonial number separator setting
		$wp_customize->add_setting(
			'store_mall_cta_woo_install',
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_cta_woo_install',
				array(
					'section'		=> 'store_mall_cat_tab',
					'type'			=> 'store-mall-custom',
					'content' => sprintf( esc_html__( '%1$sInstall & Activate WooCommerce%2$s for this section to work.%3$s', 'store-mall-pro' ), '<h3><a target="_blank" href="' . esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ) . '">', '</a>', '</h3>' ),
				)
			)
		);
	endif;

	/**
	 * Widget area section
	 */
	// Widget area section
	$wp_customize->add_section(
		'store_mall_widget_area',
		array(
			'title' => esc_html__( 'Widget area', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Widget area manage setting
	$wp_customize->add_setting(
		'store_mall_widget_area_info',
		array(
			'sanitize_callback' => 'store_mall_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Store_Mall_Multi_Custom_Control( 
		$wp_customize,
		'store_mall_widget_area_info',
			array(
				'section'		=> 'store_mall_widget_area',
				'type'			=> 'store-mall-custom',
				'content' => sprintf( __( '<label class="customize-control-title">Widget Area setting:</label>
					%1$sMange the widgets from here.%2$s OR Go to %3$sDashboard->Appearance->Widgets->Homepage Widget Area%4$s', 'store-mall-pro' ), '<h4><a class="store-mall-widget-jump-to-widget"  href="#">', '</a>', '<a href="'. esc_url( admin_url( 'widgets.php' ) ) .'">', '</a></h4>' ),
			)
		)
	);

	/**
	 * Testimonial section
	 */
	// Testimonial section
	$wp_customize->add_section(
		'store_mall_testimonial',
		array(
			'title' => esc_html__( 'Testimonial', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Testimonial enable settings
	$wp_customize->add_setting(
		'store_mall_testimonial',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'store_mall_testimonial',
		array(
			'section'		=> 'store_mall_testimonial',
			'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
					'post' => esc_html__( 'Post', 'store-mall-pro' ),
					'page' => esc_html__( 'Page', 'store-mall-pro' ),
					'cat' => esc_html__( 'Category', 'store-mall-pro' ),
					'custom' => esc_html__( 'Custom', 'store-mall-pro' ),
			 	)
		)
	);

	// Testimonial title setting
	$wp_customize->add_setting(
		'store_mall_testimonial_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_testimonial_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_testimonial_title',
		array(
			'section'		=> 'store_mall_testimonial',
			'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_testimonial_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_testimonial_title', 
		array(
	        'selector'            => '#testimonial-slider .section-title',
			'render_callback'     => 'store_mall_testimonial_partial_title',
    	) 
    );

	// Testimonial title setting
	$wp_customize->add_setting(
		'store_mall_testimonial_sub_title',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['store_mall_testimonial_sub_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_testimonial_sub_title',
		array(
			'section'		=> 'store_mall_testimonial',
			'label'			=> esc_html__( 'Sub title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_testimonial_not_disabled',
			'type'			=> 'textarea'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_testimonial_sub_title', 
		array(
	        'selector'            => '#testimonial-slider .section-subtitle',
			'render_callback'     => 'store_mall_testimonial_partial_sub_title',
    	) 
    );

	// Testimonial number setting
	$wp_customize->add_setting(
		'store_mall_testimonial_num',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_testimonial_num',
		array(
			'section'		=> 'store_mall_testimonial',
			'label'			=> esc_html__( 'Number of testimonial:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_testimonial_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Testimonial number separator setting
	$wp_customize->add_setting(
		'store_mall_testimonial_num_separator',
		array(
			'sanitize_callback' => 'store_mall_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Store_Mall_Multi_Custom_Control( 
		$wp_customize,
		'store_mall_testimonial_num_separator',
			array(
				'section'		=> 'store_mall_testimonial',
				'active_callback' => 'store_mall_if_testimonial_not_disabled',
				'type'			=> 'store-mall-separator',
			)
		)
	);

	// Testimonial category setting
	$wp_customize->add_setting(
		'store_mall_testimonial_cat',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'store_mall_testimonial_cat',
		array(
			'section'		=> 'store_mall_testimonial',
			'label'			=> esc_html__( 'Category:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_testimonial_cat',
			'type'			=> 'select',
			'choices'		=> store_mall_get_post_cat_choices(),
		)
	);

	$testimonial_num = get_theme_mod( 'store_mall_testimonial_num', 3 );
	for ( $i=1; $i <= $testimonial_num; $i++ ) { 
		// Testimonial custom image setting
		$wp_customize->add_setting(
			'store_mall_testimonial_image_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'store_mall_testimonial_image_' . $i,
				array(
					'section'		=> 'store_mall_testimonial',
					'label'			=> esc_html__( 'Image ', 'store-mall-pro' ) . $i,
					'active_callback' => 'store_mall_if_testimonial_custom',
				)
			)
		);

		// Testimonial custom name setting
		$wp_customize->add_setting(
			'store_mall_testimonial_custom_name_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['store_mall_testimonial_custom_name'],
			)
		);

		$wp_customize->add_control(
			'store_mall_testimonial_custom_name_' . $i,
			array(
				'section'		=> 'store_mall_testimonial',
				'label'			=> esc_html__( 'Title ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_testimonial_custom'
			)
		);

		// Testimonial custom sub title setting
		$wp_customize->add_setting(
			'store_mall_testimonial_custom_sub_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['store_mall_testimonial_custom_sub_title'],
			)
		);

		$wp_customize->add_control(
			'store_mall_testimonial_custom_sub_title_' . $i,
			array(
				'section'		=> 'store_mall_testimonial',
				'label'			=> esc_html__( 'Sub title ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_testimonial_not_disabled'
			)
		);

	    // Testimonial custom content setting
		$wp_customize->add_setting(
			'store_mall_testimonial_custom_content_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
				'default' => $default['store_mall_testimonial_custom_content'],
			)
		);

		$wp_customize->add_control(
			'store_mall_testimonial_custom_content_' . $i,
			array(
				'section'		=> 'store_mall_testimonial',
				'label'			=> esc_html__( 'Content ', 'store-mall-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_testimonial_custom',
				'type'			=> 'textarea'
			)
		);

		// Testimonial post setting
		$wp_customize->add_setting(
			'store_mall_testimonial_post_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'store_mall_testimonial_post_' . $i,
			array(
				'section'		=> 'store_mall_testimonial',
				'label'			=> esc_html__( 'Post ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_testimonial_post',
				'type'			=> 'select',
				'choices'		=> store_mall_get_post_choices(),
			)
		);

		// Testimonial page setting
		$wp_customize->add_setting(
			'store_mall_testimonial_page_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'store_mall_testimonial_page_' . $i,
			array(
				'section'		=> 'store_mall_testimonial',
				'label'			=> esc_html__( 'Page ', 'store-mall-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'store_mall_if_testimonial_page'
			)
		);

		// Testimonial custom separator setting
		$wp_customize->add_setting(
			'store_mall_testimonial_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_testimonial_custom_separator_' . $i,
				array(
					'section'		=> 'store_mall_testimonial',
					'active_callback' => 'store_mall_if_testimonial_not_disabled',
					'type'			=> 'store-mall-separator',
				)
			)
		);
	}

	/**
	 * Partner section
	 */
	// Partner section
	$wp_customize->add_section(
		'store_mall_partner',
		array(
			'title' => esc_html__( 'Partner', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Partner enable setting
	$wp_customize->add_setting(
		'store_mall_enable_partner',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_partner',
		array(
			'section'		=> 'store_mall_partner',
			'label'			=> esc_html__( 'Enable partner.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Partner number setting
	$wp_customize->add_setting(
		'store_mall_partner_num',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 4,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_partner_num',
		array(
			'section'		=> 'store_mall_partner',
			'label'			=> esc_html__( 'Number of partners:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 10', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_partner_enable',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 10 ),
		)
	);

	$partner_num = get_theme_mod( 'store_mall_partner_num', 4 );
	for ( $i=1; $i <= $partner_num; $i++ ) { 
		// Partner custom image setting
		$wp_customize->add_setting(
			'store_mall_partner_logo_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'store_mall_partner_logo_' . $i,
				array(
					'section'		=> 'store_mall_partner',
					'label'			=> esc_html__( 'Partner logo ', 'store-mall-pro' ) . $i,
					'active_callback' => 'store_mall_if_partner_enable',
				)
			)
		);

		// Partner link setting
		$wp_customize->add_setting(
			'store_mall_partner_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'store_mall_partner_link_' . $i,
			array(
				'section'		=> 'store_mall_partner',
				'label'			=> esc_html__( 'Partner link ', 'store-mall-pro' ) . $i,
				'type'			=> 'url',
				'active_callback' => 'store_mall_if_partner_enable'
			)
		);

		// Partner open in new tab settings
		$wp_customize->add_setting(
			'store_mall_partner_open_new_tab_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'store_mall_partner_open_new_tab_' . $i,
			array(
				'section'		=> 'store_mall_partner',
				'label'			=> esc_html__( 'Open in new tab.', 'store-mall-pro' ),
				'type'			=> 'checkbox',
				'active_callback' => 'store_mall_if_partner_enable'
			)
		);

		// Partner separator setting
		$wp_customize->add_setting(
			'store_mall_partner_separator_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Store_Mall_Multi_Custom_Control( 
			$wp_customize,
			'store_mall_partner_separator_' . $i,
				array(
					'section'		=> 'store_mall_partner',
					'active_callback' => 'store_mall_if_partner_enable',
					'type'			=> 'store-mall-separator',
				)
			)
		);
	}

	/**
	 * Blog section section
	 */
	// Blog section section
	$wp_customize->add_section(
		'store_mall_blog_section',
		array(
			'title' => esc_html__( 'Blog section', 'store-mall-pro' ),
			'description' => esc_html__( 'Recommended image ratio: 4:3', 'store-mall-pro' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Blog section enable settings
	$wp_customize->add_setting(
		'store_mall_blog_section',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'recent-posts'
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'store-mall-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
					'recent-posts' => esc_html__( 'Recent Posts', 'store-mall-pro' ),
					'cat' => esc_html__( 'Category', 'store-mall-pro' ),
					'post' => esc_html__( 'Post', 'store-mall-pro' ),
			 	)
		)
	);

	// Blog section image position option.
	$wp_customize->add_setting(	
		'store_mall_blog_image_position',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'before-title',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_image_position',
		array(
			'section'		=> 'store_mall_blog_section',
			'type'			=> 'radio',
			'active_callback' => 'store_mall_if_blog_section_not_disabled',
			'label'			=> esc_html__( 'Image position', 'store-mall-pro' ),
			'choices'		=> array( 
									'after-title' => esc_html__( 'After title', 'store-mall-pro' ), 
									'before-title' => esc_html__( 'Before title', 'store-mall-pro' ), 
								),
		)
	);

	// Blog section title setting
	$wp_customize->add_setting(
		'store_mall_blog_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_blog_section_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section_title',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_blog_section_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_blog_section_title', 
		array(
	        'selector'            => '#latest-news .section-title',
			'render_callback'     => 'store_mall_blog_section_partial_title',
    	) 
    );

    // Blog section sub title setting
	$wp_customize->add_setting(
		'store_mall_blog_section_sub_title',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['store_mall_blog_section_sub_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section_sub_title',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Sub Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_blog_section_not_disabled',
			'type'			=> 'textarea'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_blog_section_sub_title', 
		array(
	        'selector'            => '#latest-news .section-subtitle',
			'render_callback'     => 'store_mall_blog_section_partial_sub_title',
    	) 
    );

    // Blog section number setting
	$wp_customize->add_setting(
		'store_mall_blog_section_num',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 3,
			// 'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section_num',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Number of posts:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 6', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_blog_section_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 6 ),
		)
	);

	// Blog section category setting
	$wp_customize->add_setting(
		'store_mall_blog_section_cat',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section_cat',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Category:', 'store-mall-pro' ),
			'description'			=> esc_html__( 'The button will be linked to the selected category\'s archive link automatically.', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_blog_section_cat',
			'type'			=> 'select',
			'choices'		=> store_mall_get_post_cat_choices(),
		)
	);

	$store_mall_blog_section_num = get_theme_mod( 'store_mall_blog_section_num', 3 );
	for ( $i=1; $i <= $store_mall_blog_section_num; $i++ ) { 
		// Featured post setting
		$wp_customize->add_setting(
			'store_mall_blog_section_post_' . $i,
			array(
				'sanitize_callback' => 'store_mall_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'store_mall_blog_section_post_' . $i,
			array(
				'section'		=> 'store_mall_blog_section',
				'label'			=> esc_html__( 'Post ', 'store-mall-pro' ) . $i,
				'active_callback' => 'store_mall_if_blog_section_post',
				'type'			=> 'select',
				'choices'		=> store_mall_get_post_choices(),
			)
		);
	}


	// Blog section button setting
	$wp_customize->add_setting(
		'store_mall_blog_section_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_blog_section_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_blog_section_btn_txt',
		array(
			'section'		=> 'store_mall_blog_section',
			'label'			=> esc_html__( 'Button text:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_blog_section_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_blog_section_btn_txt', 
		array(
	        'selector'            => '#latest-news .more-blog-posts span',
			'render_callback'     => 'store_mall_blog_section_partial_btn_txt',
    	) 
    );

    /**
	 * Subscription section
	 */
	// Subscription section
	$wp_customize->add_section(
		'store_mall_subscribe',
		array(
			'title' => esc_html__( 'Subscription', 'store-mall-pro' ),
			'description' => sprintf( esc_html__( '%1$sJetpack%2$s should be active and site should be connected to WordPress.com for this section to work.', 'store-mall-pro' ), '<a target="_blank" href="https://wordpress.org/plugins/jetpack">', '</a>' ),
			'panel' => 'store_mall_home_panel',
		)
	);

	// Subscription enable setting
	$wp_customize->add_setting(
		'store_mall_enable_subscribe',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_subscribe',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Enable subscribe.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Subscribe title setting
	$wp_customize->add_setting(
		'store_mall_subscribe_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_subscribe_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_subscribe_title',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Title:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_subscribe_enable'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_subscribe_title', 
		array(
	        'selector'            => '#subscribe-us .widgettitle',
			'render_callback'     => 'store_mall_subscribe_partial_title',
		) 
	);

	// Subscribe text setting
	$wp_customize->add_setting(
		'store_mall_subscribe_text',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_subscribe_text'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_subscribe_text',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Description:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_subscribe_enable',
			'type'			=> 'textarea'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_subscribe_text', 
		array(
	        'selector'            => '#subscribe-us #subscribe-text p',
			'render_callback'     => 'store_mall_subscribe_partial_text',
		) 
	);

	// Subscribe placeholder setting
	$wp_customize->add_setting(
		'store_mall_subscribe_placeholder',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_subscribe_placeholder'],
		)
	);

	$wp_customize->add_control(
		'store_mall_subscribe_placeholder',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Placeholder text:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_subscribe_enable'
		)
	);

	// Subscribe button text setting
	$wp_customize->add_setting(
		'store_mall_subscribe_btn_text',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_subscribe_btn_text'],
		)
	);

	$wp_customize->add_control(
		'store_mall_subscribe_btn_text',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Button text:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_subscribe_enable'
		)
	);

	// Subscribe success message setting
	$wp_customize->add_setting(
		'store_mall_success_msg',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['store_mall_success_msg'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_success_msg',
		array(
			'section'		=> 'store_mall_subscribe',
			'label'			=> esc_html__( 'Success Message:', 'store-mall-pro' ),
			'active_callback' => 'store_mall_if_subscribe_enable',
			'type'			=> 'textarea'
		)
	);

	/**
	 *
	 * General settings panel
	 * 
	 */
	// General settings panel
	$wp_customize->add_panel(
		'store_mall_general_panel',
		array(
			'title' => esc_html__( 'Advanced Settings', 'store-mall-pro' ),
			'priority' => 107
		)
	);

	$wp_customize->get_section( 'colors' )->panel         = 'store_mall_general_panel';
	
	// Color scheme setting
	$wp_customize->add_setting(	
		'store_mall_color_scheme',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default'	=> 'default',
		)
	);

	$wp_customize->add_control( 
		new Store_Mall_Customize_Control_Radio_Color( 
		$wp_customize,
		'store_mall_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio-color',
			'label'			=> esc_html__( 'Color scheme:', 'store-mall-pro' ),
			'choices'		=> array( 
				'default' => array( 
					'color' => '#49bcd9'
				),
				'orange' => array( 
					'color' => '#ff8737'
				),
				'green' => array( 
					'color' => '#0cc652'
				),
				'red' => array( 
					'color' => '#E1222A'
				),
				'custom' => array( 
					'color' => '#E1222A'
				),
			),
		)
	)
	);

	// Custom color scheme scheme setting
	$wp_customize->add_setting(	
		'store_mall_custom_color_scheme',
		array(
			'sanitize_callback' => 'store_mall_sanitize_hex_color',
			'default' => '#49bcd9',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'store_mall_custom_color_scheme',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Custom color:', 'store-mall-pro' ),
				'active_callback' => 'store_mall_if_custom_color_scheme',
			)
		)
	);

	$wp_customize->get_section( 'background_image' )->panel         = 'store_mall_general_panel';
	$wp_customize->get_section( 'custom_css' )->panel         = 'store_mall_general_panel';

    /**
	 * Font section
	 */
	// Font section
	$wp_customize->add_section(
		'store_mall_font',
		array(
			'title' => esc_html__( 'Font options', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Font enable setting
	$wp_customize->add_setting(
		'store_mall_h1_h6_font_option',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => '',
		)
	);

	$wp_customize->add_control(
		'store_mall_h1_h6_font_option',
		array(
			'section'		=> 'store_mall_font',
			'label'			=> sprintf( esc_html__( 'H1 to H6 font family:', 'store-mall-pro' ) ),
			'type'			=> 'select',
			'choices'		=> store_mall_font_choices(),
		)
	);

	// Body font setting
	$wp_customize->add_setting(
		'store_mall_body_font_option',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => '',
		)
	);

	$wp_customize->add_control(
		'store_mall_body_font_option',
		array(
			'section'		=> 'store_mall_font',
			'label'			=> esc_html__( 'Body font family:', 'store-mall-pro' ),
			'type'			=> 'select',
			'choices'		=> store_mall_font_choices(),
		)
	);

	/**
	 * General settings
	 */
	// General settings
	$wp_customize->add_section(
		'store_mall_general_section',
		array(
			'title' => esc_html__( 'General', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Enable smoothscroll setting
	$wp_customize->add_setting(
		'store_mall_smoothscroll_enable',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_smoothscroll_enable',
		array(
			'section'		=> 'store_mall_general_section',
			'label'			=> esc_html__( 'Enable smooth scroll.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Breadcrumb enable setting
	$wp_customize->add_setting(
		'store_mall_breadcrumb_enable',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_breadcrumb_enable',
		array(
			'section'		=> 'store_mall_general_section',
			'label'			=> esc_html__( 'Enable breadcrumb.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Backtop enable setting
	$wp_customize->add_setting(
		'store_mall_back_to_top_enable',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_back_to_top_enable',
		array(
			'section'		=> 'store_mall_general_section',
			'label'			=> esc_html__( 'Enable Scroll up.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Global Layout
	 */
	// Global Layout
	$wp_customize->add_section(
		'store_mall_global_layout',
		array(
			'title' => esc_html__( 'Global Layout', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Global site layout setting
	$wp_customize->add_setting(
		'store_mall_site_layout',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'wide',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_site_layout',
		array(
			'section'		=> 'store_mall_global_layout',
			'label'			=> esc_html__( 'Site layout', 'store-mall-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'boxed' => esc_html__( 'Boxed', 'store-mall-pro' ), 
				'wide' => esc_html__( 'Wide', 'store-mall-pro' ), 
				'frame' => esc_html__( 'Frame', 'store-mall-pro' ), 
			),
		)
	);

	// Global archive layout setting
	$wp_customize->add_setting(
		'store_mall_archive_sidebar',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'store_mall_archive_sidebar',
		array(
			'section'		=> 'store_mall_global_layout',
			'label'			=> esc_html__( 'Archive Sidebar', 'store-mall-pro' ),
			'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'store-mall-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'store-mall-pro' ), 
				'right' => esc_html__( 'Right', 'store-mall-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'store-mall-pro' ), 
			),
		)
	);

	// Global page layout setting
	$wp_customize->add_setting(
		'store_mall_global_page_layout',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'store_mall_global_page_layout',
		array(
			'section'		=> 'store_mall_global_layout',
			'label'			=> esc_html__( 'Global page sidebar', 'store-mall-pro' ),
			'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'store-mall-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'store-mall-pro' ), 
				'right' => esc_html__( 'Right', 'store-mall-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'store-mall-pro' ), 
			),
		)
	);

	// Global post layout setting
	$wp_customize->add_setting(
		'store_mall_global_post_layout',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'store_mall_global_post_layout',
		array(
			'section'		=> 'store_mall_global_layout',
			'label'			=> esc_html__( 'Global post sidebar', 'store-mall-pro' ),
			'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'store-mall-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'store-mall-pro' ), 
				'right' => esc_html__( 'Right', 'store-mall-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'store-mall-pro' ), 
			),
		)
	);

	/**
	 * Blog/Archive section 
	 */
	// Blog/Archive section 
	$wp_customize->add_section(
		'store_mall_archive_settings',
		array(
			'title' => esc_html__( 'Archive/Blog', 'store-mall-pro' ),
			'description' => esc_html__( 'Settings for archive pages including blog page too.', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Archive excerpt setting
	$wp_customize->add_setting(
		'store_mall_archive_excerpt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'View the post', 'store-mall-pro' ),
		)
	);

	$wp_customize->add_control(
		'store_mall_archive_excerpt',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Excerpt more text:', 'store-mall-pro' ),
		)
	);

	// Archive excerpt length setting
	$wp_customize->add_setting(
		'store_mall_archive_excerpt_length',
		array(
			'sanitize_callback' => 'store_mall_sanitize_number_range',
			'default' => 60,
		)
	);

	$wp_customize->add_control(
		'store_mall_archive_excerpt_length',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Excerpt more length:', 'store-mall-pro' ),
			'type'			=> 'number',
			'input_attrs'   => array( 'min' => 5 ),
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_date',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_date',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable date.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_cat',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_cat',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable category.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Tag enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_tag',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_tag',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable tags.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Comment enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_comment',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_comment',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable comment count.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);


	// Author enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_author',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_author',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable author.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_featured_img',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_featured_img',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Content type setting
	$wp_customize->add_setting(
		'store_mall_enable_archive_content_type',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'excerpt',
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_archive_content_type',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Content type:', 'store-mall-pro' ),
			'choices'		=> array(
				'full-content' => esc_html__( 'Full content', 'store-mall-pro' ), 
				'excerpt' => esc_html__( 'Excerpt', 'store-mall-pro' ), 
			),
			'type'			=> 'radio',
		)
	);

	// Pagination type setting
	$wp_customize->add_setting(
		'store_mall_archive_pagination_type',
		array(
			'sanitize_callback' => 'store_mall_sanitize_select',
			'default' => 'numeric',
		)
	);

	$archive_pagination_description = '';
	$archive_pagination_choices = array( 
				'disable' => esc_html__( '--Disable--', 'store-mall-pro' ),
				'numeric' => esc_html__( 'Numeric', 'store-mall-pro' ),
				'older_newer' => esc_html__( 'Older / Newer', 'store-mall-pro' ),
			);
	if ( ! class_exists( 'JetPack' ) ) {
		$archive_pagination_description = sprintf( esc_html__( 'We recommend to install %1$sJetpack%2$s and enable %3$sInfinite Scroll%4$s feature for automatic loading of posts.', 'store-mall-pro' ), '<a target="_blank" href="http://wordpress.org/plugins/jetpack">', '</a>', '<b>', '</b>' );
	} else {
		$archive_pagination_choices['infinite_scroll'] = esc_html__( 'Infinite Load', 'store-mall-pro' );
	}
	$wp_customize->add_control(
		'store_mall_archive_pagination_type',
		array(
			'section'		=> 'store_mall_archive_settings',
			'label'			=> esc_html__( 'Pagination type:', 'store-mall-pro' ),
			'description'			=>  $archive_pagination_description,
			'type'			=> 'select',
			'choices'		=> $archive_pagination_choices,
		)
	);

	/**
	 * Single setting section 
	 */
	// Single setting section 
	$wp_customize->add_section(
		'store_mall_single_settings',
		array(
			'title' => esc_html__( 'Single Posts', 'store-mall-pro' ),
			'description' => esc_html__( 'Settings for all single posts.', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_date',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_date',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable date.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_cat',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_cat',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable category.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Tag enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_tag',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_tag',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable tags.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Comment enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_comment',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_comment',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable comment.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);


	// Author enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_author',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_author',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable author.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_featured_img',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_featured_img',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_pagination',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_pagination',
		array(
			'section'		=> 'store_mall_single_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Single pages setting section 
	 */
	// Single pages setting section 
	$wp_customize->add_section(
		'store_mall_single_page_settings',
		array(
			'title' => esc_html__( 'Single Pages', 'store-mall-pro' ),
			'description' => esc_html__( 'Settings for all single pages.', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Author enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_page_author',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_page_author',
		array(
			'section'		=> 'store_mall_single_page_settings',
			'label'			=> esc_html__( 'Enable author.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Featured image enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_page_featured_img',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_page_featured_img',
		array(
			'section'		=> 'store_mall_single_page_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'store_mall_enable_single_page_pagination',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_single_page_pagination',
		array(
			'section'		=> 'store_mall_single_page_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Reset all settings
	 */
	// Reset settings section
	$wp_customize->add_section(
		'store_mall_reset_sections',
		array(
			'title' => esc_html__( 'Reset all', 'store-mall-pro' ),
			'description' => esc_html__( 'Reset all settings to default.', 'store-mall-pro' ),
			'panel' => 'store_mall_general_panel',
		)
	);

	// Reset sortable order setting
	$wp_customize->add_setting(
		'store_mall_reset_settings',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => false,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_reset_settings',
		array(
			'section'		=> 'store_mall_reset_sections',
			'label'			=> esc_html__( 'Reset all settings?', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 *
	 *
	 * Footer copyright
	 *
	 *
	 */
	// Footer copyright
	$wp_customize->add_section(
		'store_mall_footer_section',
		array(
			'title' => esc_html__( 'Footer', 'store-mall-pro' ),
			'priority' => 106,
			// 'panel' => 'store_mall_general_panel',
		)
	);

	// Footer social menu enable setting
	$wp_customize->add_setting(
		'store_mall_enable_footer_social_menu',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_footer_social_menu',
		array(
			'section'		=> 'store_mall_footer_section',
			'label'			=> esc_html__( 'Enable social menu.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer text enable setting
	$wp_customize->add_setting(
		'store_mall_enable_footer_text',
		array(
			'sanitize_callback' => 'store_mall_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'store_mall_enable_footer_text',
		array(
			'section'		=> 'store_mall_footer_section',
			'label'			=> esc_html__( 'Enable footer text.', 'store-mall-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer copyright setting
	$wp_customize->add_setting(
		'store_mall_copyright_txt',
		array(
			'sanitize_callback' => 'store_mall_sanitize_html',
			'default' => $default['store_mall_copyright_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'store_mall_copyright_txt',
		array(
			'section'		=> 'store_mall_footer_section',
			'label'			=> esc_html__( 'Copyright text:', 'store-mall-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'store_mall_if_footer_text_enable',
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'store_mall_copyright_txt', 
		array(
	        'selector'            => '#colophon .site-info .footer-copyright',
			'render_callback'     => 'store_mall_copyright_partial',
    	) 
    );

	if ( store_mall_is_woocommerce_activated() ) :
		// Woo products per page
		$wp_customize->add_setting(
			'store_mall_woo_products_per_page',
			array(
				'sanitize_callback' => 'store_mall_sanitize_number_range',
				'default' => 12,
			)
		);

		$wp_customize->add_control(
			'store_mall_woo_products_per_page',
			array(
				'section'		=> 'woocommerce_product_catalog',
				'label'			=> esc_html__( 'Products per page', 'store-mall-pro' ),
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 0 ),
			)
		);
		/**
		 * WooCommerce Options
		 */
		// Top  header section
		$wp_customize->add_section(
			'store_mall_woo_layout',
			array(
				'title' => esc_html__( 'Woo Layout', 'store-mall-pro' ),
				'panel' => 'woocommerce',
			)
		);

	    // Woo pages sidebar setting
	    $wp_customize->add_setting(
	    	'store_mall_woo_global_archive_sidebar',
	    	array(
	    		'sanitize_callback' => 'store_mall_sanitize_select',
	    		'default' => 'right',
	    	)
	    );

	    $wp_customize->add_control(
	    	'store_mall_woo_global_archive_sidebar',
	    	array(
	    		'section'		=> 'store_mall_woo_layout',
	    		'label'			=> esc_html__( 'Archive Sidebar', 'store-mall-pro' ),
	    		'description'			=> esc_html__( 'This option works on all WooCommerce archive pages like: product, tag archive and shop page.', 'store-mall-pro' ),
	    		'type'			=> 'radio',
	    		'choices'		=> array( 
	    			'left' => esc_html__( 'Left', 'store-mall-pro' ), 
	    			'right' => esc_html__( 'Right', 'store-mall-pro' ), 
	    			'no' => esc_html__( 'No Sidebar', 'store-mall-pro' ), 
	    		),
	    	)
	    );

	    // Global page layout setting
	    $wp_customize->add_setting(
	    	'store_mall_woo_global_singular_layout',
	    	array(
	    		'sanitize_callback' => 'store_mall_sanitize_select',
	    		'default' => 'right',
	    	)
	    );

	    $wp_customize->add_control(
	    	'store_mall_woo_global_singular_layout',
	    	array(
	    		'section'		=> 'store_mall_woo_layout',
	    		'label'			=> esc_html__( 'Global single sidebar', 'store-mall-pro' ),
	    		'description'			=> esc_html__( 'This option works only on WooCommerge single products. This setting can be overridden for single product from the metabox too.', 'store-mall-pro' ),
	    		'type'			=> 'radio',
	    		'choices'		=> array( 
	    			'left' => esc_html__( 'Left', 'store-mall-pro' ), 
	    			'right' => esc_html__( 'Right', 'store-mall-pro' ), 
	    			'no' => esc_html__( 'No Sidebar', 'store-mall-pro' ), 
	    		),
	    	)
	    );
	endif;
}
add_action( 'customize_register', 'store_mall_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function store_mall_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function store_mall_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function store_mall_customize_preview_js() {
	wp_enqueue_script( 'store-mall-customizer', get_theme_file_uri( '/assets/js/customizer.js' ), array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'store_mall_customize_preview_js' );

/**
 * Binds JS handlers for Customizer controls.
 */
function store_mall_customize_control_js() {


	wp_enqueue_style( 'store-mall-customize-style', get_theme_file_uri( '/assets/css/customize-controls.css' ), array(), '20151215' );

	wp_enqueue_script( 'store-mall-customize-control', get_theme_file_uri( '/assets/js/customize-control.js' ), array( 'jquery', 'customize-controls' ), '20151215', true );
	$localized_data = array( 
		'refresh_msg' => esc_html__( 'Refresh the page after Save and Publish.', 'store-mall-pro' ),
		'reset_msg' => esc_html__( 'Warning!!! This will reset all the settings. Refresh the page after Save and Publish to reset all.', 'store-mall-pro' ),
	);

	wp_localize_script( 'store-mall-customize-control', 'localized_data', $localized_data );
}
add_action( 'customize_controls_enqueue_scripts', 'store_mall_customize_control_js' );

/**
 *
 * Sanitization callbacks.
 * 
 */

/**
 * Checkbox sanitization callback example.
 * 
 * Sanitization callback for 'checkbox' type controls. This callback sanitizes `$checked`
 * as a boolean value, either TRUE or FALSE.
 *
 * @param bool $checked Whether the checkbox is checked.
 * @return bool Whether the checkbox is checked.
 */
function store_mall_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}


/**
 * HEX Color sanitization callback example.
 *
 * - Sanitization: hex_color
 * - Control: text, WP_Customize_Color_Control
 *
 */
function store_mall_sanitize_hex_color( $hex_color, $setting ) {
	// Sanitize $input as a hex value without the hash prefix.
	$hex_color = sanitize_hex_color( $hex_color );
	
	// If $input is a valid hex value, return it; otherwise, return the default.
	return ( ! is_null( $hex_color ) ? $hex_color : $setting->default );
}

/**
 * Image sanitization callback example.
 *
 * Checks the image's file extension and mime type against a whitelist. If they're allowed,
 * send back the filename, otherwise, return the setting default.
 *
 * - Sanitization: image file extension
 * - Control: text, WP_Customize_Image_Control
 */
function store_mall_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon',
        'svg'          => 'image/svg+xml'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}

/**
 * Select sanitization callback example.
 *
 * - Sanitization: select
 * - Control: select, radio
 */
function store_mall_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug.
	$input = sanitize_key( $input );
	
	// Get list of choices from the control associated with the setting.
	$choices = $setting->manager->get_control( $setting->id )->choices;
	
	// If the input is a valid key, return it; otherwise, return the default.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

/**
 * Drop-down Pages sanitization callback example.
 *
 * - Sanitization: dropdown-pages
 * - Control: dropdown-pages
 * 
 */
function store_mall_sanitize_dropdown_pages( $page_id, $setting ) {
	// Ensure $input is an absolute integer.
	$page_id = absint( $page_id );
	
	// If $page_id is an ID of a published page, return it; otherwise, return the default.
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

/**
 * Number Range sanitization callback example.
 *
 * - Sanitization: number_range
 * - Control: number, tel
 * 
 */
function store_mall_sanitize_number_range( $number, $setting ) {
	
	// Ensure input is an absolute integer.
	$number = floatval( $number );
	
	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;
	
	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );
	
	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );
	
	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );
	
	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_float( $number / $step ) ? $number : $setting->default );
}

/**
 * HTML sanitization callback example.
 *
 * - Sanitization: html
 * - Control: text, textarea
 *
 * @param string $html HTML to sanitize.
 * @return string Sanitized HTML.
 */
function store_mall_sanitize_html( $html ) {
	return wp_filter_post_kses( $html );
}

/**
 * Sortable section sanitization callback example.
 *
 * - Sanitization: sortable section
 * - Control: sortable
 *
 * @param string $input Value to be sanitized.
 * @return array Sanitized values as array.
 */
function store_mall_sanitize_sort( $input ) {
	// Ensure $input is an array.
	if ( ! is_array( $input ) ){
		$input = explode( ',', $input );
	}

	$output = array_map( 'sanitize_text_field', $input );

	return $output;
}

/**
 *
 * Active callbacks.
 * 
 */

/**
 * Check if the about is enabled
 */
function store_mall_if_cta_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_cta' )->value();
}

/**
 * Check if the about is custom
 */
function store_mall_if_cta_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'store_mall_cta' )->value();
}

/**
 * Check if the about is page
 */
function store_mall_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'store_mall_cta' )->value();
}

/**
 * Check if the about is post
 */
function store_mall_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'store_mall_cta' )->value();
}

/**
 * Check if the featured is not disabled
 */
function store_mall_if_featured_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_featured' )->value();
}

/**
 * Check if the featured is product.
 */
function store_mall_if_featured_product( $control ) {
	return 'product' === $control->manager->get_setting( 'store_mall_featured' )->value();
}

/**
 * Check if the featured product is product category.
 */
function store_mall_if_featured_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'store_mall_featured' )->value();
}

/**
 * Check if the popular is not disabled
 */
function store_mall_if_popular_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_popular' )->value();
}

/**
 * Check if the popular is product.
 */
function store_mall_if_popular_product( $control ) {
	return 'product' === $control->manager->get_setting( 'store_mall_popular' )->value();
}

/**
 * Check if the the content type is not product cat.
 */
function store_mall_if_not_popular_product_cat( $control ) {
	return store_mall_if_popular_not_disabled( $control ) && 'product-cat' != $control->manager->get_setting( 'store_mall_popular' )->value();
}


/**
 * Check if the popular product is product category.
 */
function store_mall_if_popular_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'store_mall_popular' )->value();
}

/**
 * Check if the testimonial is not disabled
 */
function store_mall_if_testimonial_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_testimonial' )->value();
}

/**
 * Check if the testimonial is page
 */
function store_mall_if_testimonial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'store_mall_testimonial' )->value();
}

/**
 * Check if the testimonial is post
 */
function store_mall_if_testimonial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'store_mall_testimonial' )->value();
}

/**
 * Check if the testimonial is cat
 */
function store_mall_if_testimonial_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'store_mall_testimonial' )->value();
}

/**
 * Check if the testimonial is custom
 */
function store_mall_if_testimonial_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'store_mall_testimonial' )->value();
}

/**
 * Check if the slider is not disabled
 */
function store_mall_if_slider_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is not disabled
 */
function store_mall_if_slider_d2_enable( $control ) {
	return store_mall_if_slider_not_disabled( $control ) && 'slider-two' === $control->manager->get_setting( 'store_mall_slider_design' )->value();
}

/**
 * Check if the slider is not disabled
 */
function store_mall_if_slider_d2_d1_enable( $control ) {
	return store_mall_if_slider_not_disabled( $control ) && (store_mall_if_slider_d2_enable( $control ) || 'slider-one' === $control->manager->get_setting( 'store_mall_slider_design' )->value());
}

/**
 * Check if the category tab is not disabled
 */
function store_mall_if_category_tab_not_disabled( $control ) {
	return $control->manager->get_setting( 'store_mall_cat_tab_enable' )->value();
}

/**
 * Check if the slider is page
 */
function store_mall_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is product category.
 */
function store_mall_if_slider_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is product.
 */
function store_mall_if_slider_product( $control ) {
	return 'product' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is post
 */
function store_mall_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is cat
 */
function store_mall_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the slider is custom
 */
function store_mall_if_slider_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'store_mall_slider' )->value();
}

/**
 * Check if the partner is enabled.
 */
function store_mall_if_partner_enable( $control ) {
	return $control->manager->get_setting( 'store_mall_enable_partner' )->value();
}

/**
 * Check if the blog section is not disabled
 */
function store_mall_if_blog_section_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'store_mall_blog_section' )->value();
}

/**
 * Check if the blog section is cat
 */
function store_mall_if_blog_section_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'store_mall_blog_section' )->value();
}

/**
 * Check if the blog section is post
 */
function store_mall_if_blog_section_post( $control ) {
	return 'post' === $control->manager->get_setting( 'store_mall_blog_section' )->value();
}

/**
 * Check if the footer text is enabled
 */
function store_mall_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'store_mall_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function store_mall_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'store_mall_color_scheme' )->value();
}

/**
 * Check if the subscribe is enabled.
 */
function store_mall_if_subscribe_enable( $control ) {
	return $control->manager->get_setting( 'store_mall_enable_subscribe' )->value();
}


/**
 * Selective refresh.
 */

/**
 * Render the phone number for the selective refresh partial.
 *
 * @return void
 */
function store_mall_customize_partial_header_phone() {
	echo esc_html( get_theme_mod( 'store_mall_header_phone' ) );
}

/**
 * Render the header email for the selective refresh partial.
 *
 * @return void
 */
function store_mall_customize_partial_header_email() {
	echo esc_html( get_theme_mod( 'store_mall_header_email' ) );
}

/**
 * Selective refresh for about title.
 */
function store_mall_cta_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_cta_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function store_mall_cta_partial_sub_title() {
	return esc_html( get_theme_mod( 'store_mall_cta_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function store_mall_cta_partial_content() {
	return wp_kses_post( get_theme_mod( 'store_mall_cta_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function store_mall_cta_partial_btn_txt() {
	return esc_html( get_theme_mod( 'store_mall_cta_btn_txt' ) );
}

/**
 * Selective refresh for featured title.
 */
function store_mall_featured_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_featured_title' ) );
}

/**
 * Selective refresh for featured btn text.
 */   
function store_mall_featured_partial_sub_title() {
	return esc_html( get_theme_mod( 'store_mall_featured_sub_title' ) );
}

/**
 * Selective refresh for popular title.
 */
function store_mall_popular_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_popular_title' ) );
}

/**
 * Selective refresh for testimonial title.
 */
function store_mall_testimonial_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_testimonial_title' ) );
}

/**
 * Selective refresh for testimonial subtitle.
 */
function store_mall_testimonial_partial_sub_title() {
	return esc_html( get_theme_mod( 'store_mall_testimonial_sub_title' ) );
}

/**
 * Selective refresh for popular btn text.
 */   
function store_mall_popular_partial_sub_title() {
	return esc_html( get_theme_mod( 'store_mall_popular_sub_title' ) );
}

/**
 * Selective refresh for popular btn text.
 */   
function store_mall_popular_partial_btn_txt() {
	return esc_html( get_theme_mod( 'store_mall_popular_btn_text' ) );
}

/**
 * Selective refresh for blog section title.
 */
function store_mall_blog_section_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_blog_section_title' ) );
}

/**
 * Selective refresh for blog section text.
 */
function store_mall_blog_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'store_mall_blog_section_sub_title' ) );
}

/**
 * Selective refresh for blog section button text.
 */
function store_mall_blog_section_partial_btn_txt() {
	return esc_html( get_theme_mod( 'store_mall_blog_section_btn_txt' ) );
}

/**
 * Selective refresh for footer copyright.
 */
function store_mall_copyright_partial() {
	return wp_kses_post( get_theme_mod( 'store_mall_copyright_txt' ) );
}

/**
 * Selective refresh for your latest posts title.
 */
function store_mall_your_latest_posts_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_your_latest_posts_title' ) );
}

/**
 * Selective refresh for subscribe title.
 */
function store_mall_subscribe_partial_title() {
	return esc_html( get_theme_mod( 'store_mall_subscribe_title' ) );
}

/**
 * Selective refresh for subscribe text.
 */
function store_mall_subscribe_partial_text() {
	return esc_html( get_theme_mod( 'store_mall_subscribe_text' ) );
}