<?php
/**
 * Template part for displaying content  in post.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'hentry' ); ?>>
	<?php 
	$store_mall_enable_single_featured_img = get_theme_mod( 'store_mall_enable_single_featured_img', true );
	if ( has_post_thumbnail() && $store_mall_enable_single_featured_img ) : ?>
		<div class="featured-image">
	        <?php the_post_thumbnail( 'full', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
		</div><!-- .featured-post-image -->
	<?php endif; ?>

	<div class="entry-container">
		<?php 
		$single_author_enable = get_theme_mod( 'store_mall_enable_single_author', true );
		$single_date_enable = get_theme_mod( 'store_mall_enable_single_date', true );
		if( $single_author_enable || $single_date_enable ) :?>
			<div class="entry-meta">
			    <?php 
				if ( $single_date_enable ) {
		    		store_mall_posted_on();
		    	}
			    
			    if ( $single_author_enable ) {
			    	store_mall_post_author(); 
			    }

			    ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>

	    <div class="entry-content">
	        <?php
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'store-mall-pro' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'store-mall-pro' ),
				'after'  => '</div>',
			) );
			?>
	    </div><!-- .entry-content -->

	    <?php 
	    store_mall_tags(); 
		store_mall_cats(); 
	    ?>
	</div><!-- .entry-container -->
</article><!-- #post-<?php the_ID(); ?> -->
