<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Moral
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php 
	$archive_img_enable = get_theme_mod( 'store_mall_enable_archive_featured_img', true );

	if ( has_post_thumbnail() && $archive_img_enable ) { ?>
		<div class="featured-image">
			<a href="<?php the_permalink(); ?>">

				<?php if ( is_sticky() ) { 
					the_post_thumbnail( 'full' ); 
				} else {
					the_post_thumbnail( 'store-mall-home-blog' );
				}
				?>
				
			</a>
		</div><!-- .featured-image -->
	<?php } ?>


	<div class="entry-container">
        <div class="entry-meta">
			<?php 
			$archive_date_enable = get_theme_mod( 'store_mall_enable_archive_date', true );
			if ( $archive_date_enable ) {
				store_mall_posted_on(); 
			}
			?>
        </div><!-- .entry-meta -->

        <header class="entry-header">
            <?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif; ?>
        </header>
        
        <?php
        $enable_archive_author = get_theme_mod( 'store_mall_enable_archive_author', false );

        if ( $enable_archive_author ) :
            if ( $enable_archive_author ) {
    			store_mall_post_author(); 
    		}
        endif; 
        ?>

        <?php store_mall_entry_footer(); ?>

        <div class="entry-content">
            <?php
				$archive_content_type = get_theme_mod( 'store_mall_enable_archive_content_type', 'excerpt' );
				if ( 'excerpt' === $archive_content_type ) {
					the_excerpt();					
				} else {
					the_content( sprintf(
						wp_kses(
							/* translators: %s: Name of current post. Only visible to screen readers */
							__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'store-mall-pro' ),
							array(
								'span' => array(
									'class' => array(),
								),
							)
						),
						get_the_title()
					) );

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'store-mall-pro' ),
						'after'  => '</div>',
					) );
				}
			?>
	    	
	    	<?php store_mall_tags(); ?>

	    	<?php store_mall_cats();  ?>

        </div><!-- .entry-content -->
		<a href="<?php the_permalink(); ?>" class="more-link"><?php echo esc_html( get_theme_mod( 'store_mall_archive_excerpt', esc_html__( 'View the post', 'store-mall-pro' ) ) ); ?><?php echo store_mall_get_svg( array( 'icon' => 'arrow-right' ) ); ?></a>
        
    </div><!-- .entry-container -->
</article><!-- #post-<?php the_ID(); ?> -->
